## cbmplugs 1.1.1

=== Makefile ===
# Makefile for cbmplugs
# Copyright (C) 2002-2004 David Weinehall

PRGNAME := cbmplugs
VERSION := 1.1.1

EXTENSION12 := -1.2
EXTENSION20 := -2.0

ifdef GIMP12
GIMPTOOL := gimptool-1.2
PALETTE_DIR := $(DESTDIR)/usr/share/gimp/1.2/palettes
AM_CFLAGS += -DGIMP12
EXTENSION := $(EXTENSION12)
else
GIMPTOOL := gimptool-2.0
PALETTE_DIR := $(DESTDIR)/usr/share/gimp/2.0/palettes
EXTENSION := $(EXTENSION20)
endif

ifdef LOCAL_PLUGINS
GIMP_INSTALL_BIN := --install-bin
GIMP_UNINSTALL_BIN := --uninstall-bin
PALETTE_DIR := \
	`$(GIMPTOOL) --dry-run $(GIMP_INSTALL_BIN) Makefile | \
	sed -e 's/.* \(.*\)\/Makefile/\1/;s/plug-ins/palettes/'`
else
GIMP_INSTALL_BIN := --install-admin-bin
GIMP_UNINSTALL_BIN := --uninstall-admin-bin
endif

# Use Makefile as plugin to install, to be sure the file exists
PLUGIN_DIR := \
	`$(GIMPTOOL) --dry-run $(GIMP_INSTALL_BIN) Makefile | \
	tail -n 1 | sed -e 's/.* \(.*\)\/Makefile/\1/'`

AM_CFLAGS += `$(GIMPTOOL) --cflags-noui`
# AM_CFLAGS += -Werror
# AM_CFLAGS += -W -Wall -Wpointer-arith -Wcast-align
# AM_CFLAGS += -Wbad-function-cast -Wsign-compare
# AM_CFLAGS += -Waggregate-return -Wmissing-noreturn -Wnested-externs
# AM_CFLAGS += -Wchar-subscripts -Wformat-security -Wmissing-prototypes

AM_LDFLAGS += `$(GIMPTOOL) --libs-noui`

RM := rm -f
INSTALL := install --mode=755
INSTALL_DATA := install --mode=644
INSTALL_DIR := install -d

ARCHIVE := $(PRGNAME)-$(VERSION)
MKDIR := mkdir -p
TAR_EXCLUDES := --exclude="*.swp" --exclude="*.bak"
TAR_EXCLUDES += --exclude="*~" --exclude="*.o" --exclude="CVS"
TAR := tar cz $(TAR_EXCLUDES) --file

PLUGINS	= \
	advartstudio afli artist64 artstudio blazingpaddles drazpaint	\
	eafli fli64 imagesystem interpainthires interpaintlores koala	\
	rain shfli shflixl sprite suxx twilight vidcom64

PALETTES = \
	Commodore64.gpl

INCLUDES = cbmplugs.c
HEADERS = cbmplugs.h

.PHONY: default
default: $(PLUGINS)

$(PLUGINS): %: %.c $(INCLUDES) $(HEADERS)
	$(CC) $(CFLAGS) $(AM_CFLAGS) -o $@$(EXTENSION) $< $(INCLUDES) $(AM_LDFLAGS)
	
.PHONY: uninstall-plugins
uninstall-plugins:
	for plugin in $(PLUGINS); do					\
		$(RM) $(PLUGIN_DIR)/$$plugin$(EXTENSION);		\
		$(RM) $(PLUGIN_DIR)/$$plugin$(EXTENSION);		\
	done

.PHONY: uninstall-palettes
uninstall-palettes:
	$(RM) $(PALETTE_DIR)/$(PALETTES)

.PHONY: uninstall
uninstall: uninstall-plugins uninstall-palettes

.PHONY: install-plugins
install-plugins:
	$(INSTALL_DIR) $(PLUGIN_DIR)					&&\
	for plugin in $(PLUGINS); do					\
		$(INSTALL) $$plugin$(EXTENSION) $(PLUGIN_DIR);		\
	done

.PHONY: install-palettes
install-palettes:
	$(INSTALL_DIR) $(PALETTE_DIR)					&&\
	$(INSTALL_DATA) $(PALETTES) $(PALETTE_DIR)

.PHONY: install
install: install-plugins install-palettes

.PHONY: clean
clean:
	for plugin in $(PLUGINS); do					\
		$(RM) $$plugin$(EXTENSION12);				\
		$(RM) $$plugin$(EXTENSION20);				\
	done

.PHONY: archive
archive: clean
	$(RM) ../$(ARCHIVE).tar.gz					&&\
	$(RM) -r $(ARCHIVE) 						&&\
	$(MKDIR) $(ARCHIVE)						&&\
	find . -maxdepth 1 -path '*/$(ARCHIVE)' -prune -o		\
		-not -name '.' -exec cp -a {} $(ARCHIVE) \;		&&\
	$(TAR) ../$(ARCHIVE).tar.gz $(ARCHIVE)				&&\
	$(RM) -r $(ARCHIVE)

## cbmplugs 1.2.0

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # Makefile for cbmplugs
-# Copyright (C) 2002-2004 David Weinehall
+# Copyright (C) 2002-2006 David Weinehall
 
 PRGNAME := cbmplugs
-VERSION := 1.1.1
+VERSION := 1.2.0
 
 EXTENSION12 := -1.2
 EXTENSION20 := -2.0
@@ -57,7 +57,7 @@
 PLUGINS	= \
 	advartstudio afli artist64 artstudio blazingpaddles drazpaint	\
 	eafli fli64 imagesystem interpainthires interpaintlores koala	\
-	rain shfli shflixl sprite suxx twilight vidcom64
+	rain shfli shflixl sprite suxx twilight vidcom64 hws
 
 PALETTES = \
 	Commodore64.gpl

## cbmplugs 1.2.1

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # Makefile for cbmplugs
-# Copyright (C) 2002-2006 David Weinehall
+# Copyright © 2002-2007 David Weinehall
 
 PRGNAME := cbmplugs
-VERSION := 1.2.0
+VERSION := 1.2.1
 
 EXTENSION12 := -1.2
 EXTENSION20 := -2.0
@@ -21,9 +21,10 @@
 ifdef LOCAL_PLUGINS
 GIMP_INSTALL_BIN := --install-bin
 GIMP_UNINSTALL_BIN := --uninstall-bin
+# Use Makefile as plugin to install, to be sure the file exists
 PALETTE_DIR := \
-	`$(GIMPTOOL) --dry-run $(GIMP_INSTALL_BIN) Makefile | \
-	sed -e 's/.* \(.*\)\/Makefile/\1/;s/plug-ins/palettes/'`
+	$$($(GIMPTOOL) --dry-run $(GIMP_INSTALL_BIN) Makefile | \
+	tail -n 1 | sed -e 's/.* \(.*\)\/Makefile/\1/;s/plug-ins/palettes/')
 else
 GIMP_INSTALL_BIN := --install-admin-bin
 GIMP_UNINSTALL_BIN := --uninstall-admin-bin
@@ -31,8 +32,8 @@
 
 # Use Makefile as plugin to install, to be sure the file exists
 PLUGIN_DIR := \
-	`$(GIMPTOOL) --dry-run $(GIMP_INSTALL_BIN) Makefile | \
-	tail -n 1 | sed -e 's/.* \(.*\)\/Makefile/\1/'`
+	$$($(GIMPTOOL) --dry-run $(GIMP_INSTALL_BIN) Makefile | \
+	tail -n 1 | sed -e 's/.* \(.*\)\/Makefile/\1/')
 
 AM_CFLAGS += `$(GIMPTOOL) --cflags-noui`
 # AM_CFLAGS += -Werror
@@ -60,7 +61,7 @@
 	rain shfli shflixl sprite suxx twilight vidcom64 hws
 
 PALETTES = \
-	Commodore64.gpl
+	Commodore64.gpl DTV.gpl
 
 INCLUDES = cbmplugs.c
 HEADERS = cbmplugs.h
@@ -70,20 +71,6 @@
 
 $(PLUGINS): %: %.c $(INCLUDES) $(HEADERS)
 	$(CC) $(CFLAGS) $(AM_CFLAGS) -o $@$(EXTENSION) $< $(INCLUDES) $(AM_LDFLAGS)
-	
-.PHONY: uninstall-plugins
-uninstall-plugins:
-	for plugin in $(PLUGINS); do					\
-		$(RM) $(PLUGIN_DIR)/$$plugin$(EXTENSION);		\
-		$(RM) $(PLUGIN_DIR)/$$plugin$(EXTENSION);		\
-	done
-
-.PHONY: uninstall-palettes
-uninstall-palettes:
-	$(RM) $(PALETTE_DIR)/$(PALETTES)
-
-.PHONY: uninstall
-uninstall: uninstall-plugins uninstall-palettes
 
 .PHONY: install-plugins
 install-plugins:
@@ -95,10 +82,27 @@
 .PHONY: install-palettes
 install-palettes:
 	$(INSTALL_DIR) $(PALETTE_DIR)					&&\
-	$(INSTALL_DATA) $(PALETTES) $(PALETTE_DIR)
+	for palette in $(PALETTES); do					\
+		$(INSTALL_DATA) $$palette $(PALETTE_DIR);		\
+	done
 
 .PHONY: install
 install: install-plugins install-palettes
+
+.PHONY: uninstall-plugins
+uninstall-plugins:
+	for plugin in $(PLUGINS); do					\
+		$(RM) $(PLUGIN_DIR)/$$plugin$(EXTENSION);		\
+	done
+
+.PHONY: uninstall-palettes
+uninstall-palettes:
+	for palette in $(PALETTES); do					\
+		$(RM) $(PALETTE_DIR)/$$palette;				\
+	done
+
+.PHONY: uninstall
+uninstall: uninstall-plugins uninstall-palettes
 
 .PHONY: clean
 clean:
@@ -110,7 +114,7 @@
 .PHONY: archive
 archive: clean
 	$(RM) ../$(ARCHIVE).tar.gz					&&\
-	$(RM) -r $(ARCHIVE) 						&&\
+	$(RM) -r $(ARCHIVE)						&&\
 	$(MKDIR) $(ARCHIVE)						&&\
 	find . -maxdepth 1 -path '*/$(ARCHIVE)' -prune -o		\
 		-not -name '.' -exec cp -a {} $(ARCHIVE) \;		&&\

## cbmplugs 1.2.2

=== Makefile ===
# Makefile for cbmplugs
# Copyright © 2002-2007, 2009 David Weinehall

PRGNAME := cbmplugs
VERSION := 1.2.2

GIMPTOOL := gimptool-2.0
PALETTE_DIR := /usr/share/gimp/2.0/palettes

ifdef LOCAL_PLUGINS
GIMP_INSTALL_BIN := --install-bin
GIMP_UNINSTALL_BIN := --uninstall-bin
# Use Makefile as plugin to install, to be sure the file exists
PALETTE_DIR := \
	$(shell pkg-config --variable=gimpdatadir gimp-2.0)/palettes
else
GIMP_INSTALL_BIN := --install-admin-bin
GIMP_UNINSTALL_BIN := --uninstall-admin-bin
endif

# Use Makefile as plugin to install, to be sure the file exists
PLUGIN_DIR := \
	$(shell pkg-config --variable=gimplibdir gimp-2.0)/plug-ins

AM_CFLAGS += `$(GIMPTOOL) --cflags-noui`
# AM_CFLAGS += -Werror
# AM_CFLAGS += -W -Wall -Wpointer-arith -Wcast-align
# AM_CFLAGS += -Wbad-function-cast -Wsign-compare
# AM_CFLAGS += -Waggregate-return -Wmissing-noreturn -Wnested-externs
# AM_CFLAGS += -Wchar-subscripts -Wformat-security -Wmissing-prototypes

AM_LDFLAGS += `$(GIMPTOOL) --libs-noui` -lm

RM := rm -f
INSTALL := install --mode=755
INSTALL_DATA := install --mode=644
INSTALL_DIR := install -d

ARCHIVE := $(PRGNAME)-$(VERSION)
MKDIR := mkdir -p
TAR_EXCLUDES := --exclude="*.swp" --exclude="*.bak" --exclude=".svnignore"
TAR_EXCLUDES += --exclude="*~" --exclude="*.o" --exclude=".svn"
TAR := tar cz $(TAR_EXCLUDES) --file

PLUGINS	= \
	advartstudio afli artist64 artstudio blazingpaddles drazpaint	\
	eafli fli64 imagesystem interpainthires interpaintlores koala	\
	rain shfli shflixl sprite suxx twilight vidcom64 hws

PALETTES = \
	Commodore64.gpl DTV.gpl

INCLUDES = cbmplugs.c
HEADERS = cbmplugs.h

.PHONY: default
default: $(PLUGINS)

$(PLUGINS): %: %.c $(INCLUDES) $(HEADERS)
	$(CC) $(CFLAGS) $(AM_CFLAGS) -o $@ $< $(INCLUDES) $(AM_LDFLAGS)

.PHONY: install-plugins
install-plugins:
	$(INSTALL_DIR) $(DESTDIR)$(PLUGIN_DIR)				&&\
	for plugin in $(PLUGINS); do					\
		$(INSTALL) $$plugin $(DESTDIR)$(PLUGIN_DIR);		\
	done

.PHONY: install-palettes
install-palettes:
	$(INSTALL_DIR) $(DESTDIR)$(PALETTE_DIR)				&&\
	for palette in $(PALETTES); do					\
		$(INSTALL_DATA) $$palette $(DESTDIR)$(PALETTE_DIR);	\
	done

.PHONY: install
install: install-plugins install-palettes

.PHONY: uninstall-plugins
uninstall-plugins:
	for plugin in $(PLUGINS); do					\
		$(RM) $(PLUGIN_DIR)/$$plugin;				\
	done

.PHONY: uninstall-palettes
uninstall-palettes:
	for palette in $(PALETTES); do					\
		$(RM) $(PALETTE_DIR)/$$palette;				\
	done

.PHONY: uninstall
uninstall: uninstall-plugins uninstall-palettes

.PHONY: clean
clean:
	for plugin in $(PLUGINS); do					\
		$(RM) $$plugin;						\
	done

.PHONY: archive
archive: clean
	$(RM) ../$(ARCHIVE).tar.gz					&&\
	$(RM) -r $(ARCHIVE)						&&\
	$(MKDIR) $(ARCHIVE)						&&\
	find . -maxdepth 1 -path '*/$(ARCHIVE)' -prune -o		\
		-not -name '.' -exec cp -a {} $(ARCHIVE) \;		&&\
	$(TAR) ../$(ARCHIVE).tar.gz $(ARCHIVE)				&&\
	$(RM) -r $(ARCHIVE)

=== debian/changelog ===
cbmplugs (1.2.2-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to 3.0 source format. (Closes: #1007558)

 -- Bastian Germann <bage@debian.org>  Fri, 09 Dec 2022 23:23:25 +0100

cbmplugs (1.2.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957069)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 14 Jan 2021 20:01:23 +0000

cbmplugs (1.2.2-1) unstable; urgency=low

  * New upstream release
  * debian/rules: Don't ignore build failures
  * Bump Standards-Version to 3.8.3.0 (No changes needed)
  * Use debhelper v7
  * Convert debian/copyright to the new format

 -- David Weinehall <tao@debian.org>  Tue, 01 Dec 2009 17:35:35 +0200

cbmplugs (1.2.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use pkg-config in Makefile instead of relying on hard-coded sed magic
    to find out gimp data dir. Patch from Tzafrir Cohen. Fix FTBFS.
    (Closes: #518745)

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 16 Sep 2009 13:20:29 +0200

cbmplugs (1.2.1-1) unstable; urgency=low

  * New upstream release

 -- David Weinehall <tao@debian.org>  Tue, 19 Jun 2007 16:21:23 +0100

cbmplugs (1.2.0-1) unstable; urgency=low

  * New upstream release

 -- David Weinehall <tao@debian.org>  Sun,  4 Jun 2006 21:14:11 +0300

cbmplugs (1.1.1-1) unstable; urgency=low

  * New upstream release
    | Fixes FTBFS with latest gimptool (Closes: #245512)
  * Make sure to build with pbuilder, to avoid dependencies on
    packages from experimental (Closes: #245429)

 -- David Weinehall <tao@debian.org>  Mon, 26 Apr 2004 13:24:07 +0300

cbmplugs (1.1.0-2) unstable; urgency=low

  * Added CC = gcc to debian/rules
    | Fixes policy violation

 -- David Weinehall <tao@debian.org>  Fri,  9 Apr 2004 20:24:06 +0200

cbmplugs (1.1.0-1) unstable; urgency=low

  * New upstream release
  * Recompiled against libgimp2.0 (Closes: #242647)
  * Modified to use debhelper

 -- David Weinehall <tao@debian.org>  Thu,  8 Apr 2004 22:44:20 +0200

cbmplugs (1.0.2-4) unstable; urgency=low

  * Recompiled against libgimp1.3 1.3.27+2.0pre4

 -- David Weinehall <tao@debian.org>  Mon,  8 Mar 2004 01:06:58 +0100

cbmplugs (1.0.2-3) unstable; urgency=low

  * Recompiled against libgimp1.3 1.3.26+2.0pre3

 -- David Weinehall <tao@debian.org>  Fri,  6 Feb 2004 01:36:21 +0100

cbmplugs (1.0.2-2) unstable; urgency=low

  * s/gimptool-1.3/gimptool-2.0/ to fix FTBFS with latest gimp-1.3

 -- David Weinehall <tao@debian.org>  Wed, 21 Jan 2004 11:38:56 +0100

cbmplugs (1.0.2-1) unstable; urgency=low

  * New upstream release
  * Recompiled against libgimp1.3 1.3.24+2.0pre1
  * Improved debian/copyright

 -- David Weinehall <tao@debian.org>  Tue, 13 Jan 2004 12:43:04 +0100

cbmplugs (1.0.1-7) unstable; urgency=low

  * Recompiled against libgimp1.3 1.3.23

 -- David Weinehall <tao@debian.org>  Sat,  6 Dec 2003 02:44:08 +0100

cbmplugs (1.0.1-6) unstable; urgency=low

  * Lowercase first letter of short description

 -- David Weinehall <tao@debian.org>  Sun,  9 Nov 2003 23:31:10 +0100

cbmplugs (1.0.1-5) unstable; urgency=low

  * Recompiled against libgimp1.3 1.3.22
  * Add md5sums

 -- David Weinehall <tao@debian.org>  Sun,  9 Nov 2003 02:17:04 +0100

cbmplugs (1.0.1-4) unstable; urgency=low

  * Recompiled against libgimp1.3 1.3.21

 -- David Weinehall <tao@debian.org>  Tue,  7 Oct 2003 22:13:25 +0200

cbmplugs (1.0.1-3) unstable; urgency=low

  * Recompiled against libgimp1.3 1.3.20

 -- David Weinehall <tao@debian.org>  Wed, 10 Sep 2003 09:23:15 +0200

cbmplugs (1.0.1-2) unstable; urgency=low

  * Recompiled against libgimp1.3 1.3.19

 -- David Weinehall <tao@debian.org>  Mon,  1 Sep 2003 18:32:08 +0200

cbmplugs (1.0.1-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.6.1.0 (No changes needed)

 -- David Weinehall <tao@debian.org>  Tue, 19 Aug 2003 20:35:30 +0200

cbmplugs (1.0.0.0-2) unstable; urgency=low

  * Recompiled against libgimp1.3 1.3.17

 -- David Weinehall <tao@debian.org>  Tue, 29 Jul 2003 19:26:45 +0200

cbmplugs (1.0.0.0-1) unstable; urgency=low

  * Recompiled against libgimp1.2 1.2.5
  * Fixed typos in changelog
  * Append '.0' to version-number to ensure uploading of tarball

 -- David Weinehall <tao@debian.org>  Tue, 22 Jul 2003 23:40:36 +0200

cbmplugs (1.0.0-7) unstable; urgency=low

  * Bump Standards-Version to 3.6.0 (No changes needed)

 -- David Weinehall <tao@debian.org>  Mon, 14 Jul 2003 20:28:25 +0200

cbmplugs (1.0.0-6) unstable; urgency=low

  * Recompiled against libgimp1.3 1.3.16

 -- David Weinehall <tao@debian.org>  Sun, 29 Jun 2003 11:22:23 +0200

cbmplugs (1.0.0-5) unstable; urgency=low

  * Recompiled against libgimp1.3 1.3.15
  * Bump Standards-Version to 3.5.10 (No changes needed)

 -- David Weinehall <tao@debian.org>  Thu, 19 Jun 2003 21:19:30 +0200

cbmplugs (1.0.0-4) unstable; urgency=low

  * Recompiled against libgimp1.3 1.3.14

 -- David Weinehall <tao@debian.org>  Wed, 16 Apr 2003 09:14:26 +0200

cbmplugs (1.0.0-3) unstable; urgency=low

  * Recompiled against libgimp1.3 1.3.13
  * Bump Standards-Version to 3.5.9.0 (No changes needed)

 -- David Weinehall <tao@debian.org>  Wed,  2 Apr 2003 16:53:54 +0200

cbmplugs (1.0.0-2) unstable; urgency=low

  * Recompiled against libgimp1.3 1.3.12

 -- David Weinehall <tao@debian.org>  Sun,  2 Mar 2003 01:21:10 +0100

cbmplugs (1.0.0-1) unstable; urgency=low

  * Initial Release (Closes #181822)

 -- David Weinehall <tao@debian.org>  Thu, 20 Feb 2003 23:15:30 +0100

=== debian/control ===
Source: cbmplugs
Section: graphics
Priority: optional
Maintainer: David Weinehall <tao@debian.org>
Build-Depends: debhelper (>= 7.0.1), libgimp2.0-dev
Standards-Version: 3.8.3

Package: gimp-cbmplugs
Architecture: any
Depends: gimp, ${shlibs:Depends}, ${misc:Depends}
Replaces: gimp1.2-cbmplugs, gimp1.3-cbmplugs
Conflicts: gimp1.2-cbmplugs, gimp1.3-cbmplugs
Description: plugins for The GIMP to import/export Commodore 64 files
 This set of plugins provides The GIMP with support for importing from
 and exporting to several different file-formats used on the Commodore 64.
 A palette that tries to imitate the colours of the Commodore 64 as closely
 as possible is also included.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for cbmplugs using debhelper v7.
# Copyright © 2009 David Weinehall <tao@debian.org>

%:
	dh $@

=== debian/watch ===
# watch control file for uscan
version=2
http://www.acc.umu.se/~tao/files/linux/cbmplugs/cbmplugs-(.*)\.tar\.gz	debian	uupdate
